import React from 'react'

type Props = {}

const FleetEfficiencyComponent = ({
    object
}: any) => {
    return (
        <>
            <h2 className="header">Fleet Efficiency</h2>
            <div className="progressContainer">
                <div className="progress">
                    <div className="barOverflow">
                        <div
                            className="bar"
                            style={{ transform: `rotate(${object.value}deg)` }}
                        ></div>
                    </div>
                </div>
            </div>
            <div className="scaleLabels">
                <span>0%</span>
                <div className="centerText">
                    <div className="percentage">{object.per}%</div>
                    <div className="status">Optimal</div>
                </div>
                <span>100%</span>
            </div>
        </>
    )
}

export default FleetEfficiencyComponent